Storyden
Tags

Tag Get

Get information about a tag.

GET
/tags/{tag_name}

Get information about a tag.

Authorization

cookiestoryden-session<token>

Path Parameters

tag_name*string

Tag name.

Response Body

OK

application/json
  1. response

A tag is a label that can be applied to posts or pages to organise related content. They can be used to filter and search for content. The Tag schema provides all the data for a tag including its items, so it's quite a heavy object if referencing a lot of items. For a lighter weight version, use a TagReference for use-cases such as tag searches.

name*TagName

The name of a tag.

colour*TagColour

The colour of a tag.

item_count*TagItemCount

The number of items tagged with this tag.

id*Identifier

A unique identifier for this resource.

Formatxid
items*array<||||>
Example Request
curl -X GET 'https://example.com/api/tags/string'
Example Response
{  "name": "string",  "colour": "string",  "item_count": 0,  "id": "string",  "items": [    {      "kind": "post",      "ref": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "title": "string",        "description": "string",        "slug": "string",        "author": {          "id": "string",          "joined": "2019-08-24T14:15:22Z",          "suspended": "2019-08-24T14:15:22Z",          "handle": "string",          "name": "string",          "signature": "string",          "roles": [            {              "badge": true,              "default": true,              "id": "string",              "name": "string",              "colour": "string",              "meta": {}            }          ]        },        "visibility": "draft",        "assets": [          {            "id": "string",            "filename": "string",            "path": "string",            "mime_type": "string",            "width": 0,            "height": 0,            "parent": {}          }        ],        "reacts": [          {            "id": "string",            "emoji": "string",            "author": {              "id": "string",              "joined": "2019-08-24T14:15:22Z",              "suspended": "2019-08-24T14:15:22Z",              "handle": "string",              "name": "string",              "signature": "string",              "roles": [                {                  "badge": true,                  "default": true,                  "id": "string",                  "name": "string",                  "colour": "string",                  "meta": {}                }              ]            }          }        ],        "collections": {          "in_collections": 0,          "has_collected": true        },        "likes": {          "likes": 0,          "liked": true        },        "meta": {},        "body": "string",        "body_links": [          {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "deletedAt": "2019-08-24T14:15:22Z",            "misc": {},            "url": "string",            "slug": "string",            "domain": "string",            "title": "string",            "description": "string",            "favicon_image": {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            },            "primary_image": {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            },            "liveness_status": "unknown",            "liveness_checked_at": "2019-08-24T14:15:22Z",            "scrape_status": "pending",            "scrape_attempted_at": "2019-08-24T14:15:22Z",            "scraped_at": "2019-08-24T14:15:22Z"          }        ]      }    }  ]}